# class ConnectionWidget | More...
Full name | `KDB::ConnectionWidget`
Definition | `#include <connectionwidget.h>`
Inherits | ConnectionBase (unknown) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- ConnectionWidget (QWidget *parent, const char * name = 0, bool showDatabase = true)
- ~ConnectionWidget ()
- Database * database ()
- void setConnection (Connection *)
- Connection * connection ()
- void createConnection ()

#### Signals

- void databaseSelected ()
- void nonDatabaseSelected ()

#### Protected Methods

- void slotDatabaseSelected ()
- void slotCreateConnection ()

## Detailed Description

This widget will create new connections and store them in the kdb rc file

ConnectionWidget (QWidget *parent, const char * name = 0, bool showDatabase = true) | ### ConnectionWidget

~ConnectionWidget () | ### ~ConnectionWidget

Database * database () | ### database

void setConnection (Connection *) | ### setConnection

Connection * connection () | ### connection

void createConnection () | ### createConnection

void databaseSelected () | ### databaseSelected

[signal]

void nonDatabaseSelected () | ### nonDatabaseSelected

[signal]

void slotDatabaseSelected () | ### slotDatabaseSelected

[protected]

void slotCreateConnection () | ### slotCreateConnection

[protected]

- Version: kdbui 0.0.2
- Author: Michael Koch <m_kock@bigfoot.de>
- Generated: root@sparc.ports.openbsd.org on Wed May 2 09:49:12 2001, using kdoc 2.0a53.